Subject: Re: [bug#75414] [PATCH v2 1/1] deploy: Add --roll-back option.

From: Arun Isaac <[email-masked]>
Date: Fri, 28 Feb 2025 01:23:32 +0000

Hi Maxim,

Thanks for the review!

> The change LGTM, but I was just thinking that --roll-back, which doesn't
> actually 'deploy' anything (it rathers does something more akind to
> 'guix deploy -x -- sudo guix system roll-back', right ?), was a bit odd
> to have under 'guix deploy'.  Probably not important enough to block
> this contribution.  I'd say, go ahead!

That's true. It's not the best user experience. The idea was that we'd
revisit that decision later. See earlier discussion on this issue.

Regards,
Arun